nodes_datalinks_list
const url = 'https://example.com/api/nodes/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/datalinks?include_metadata=false&status=active';const options = { method: 'GET', headers: { 'X-Workspace': '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', Authorization: 'Bearer <token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/api/nodes/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/datalinks?include_metadata=false&status=active' \ --header 'Authorization: Bearer <token>' \ --header 'X-Workspace: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0'List the information related to all the Node objects.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Header Parameters
Section titled “Header Parameters”Workspace ID
Query Parameters
Section titled “Query Parameters”When true, each datalink in the page includes a metadata array with the same item shape as GET /api/data/{id}/metadata?datalink={datalink_id}&include_inherited=true (full unpaginated field list per datalink).
Which field to use when ordering the results.
A page number within the paginated result set.
Number of results to return per page.
A search term.
Only the datalinks whose data has this status: in progress while it is being read from its source, failed when that reading did not succeed, active otherwise.
Responses
Section titled “Responses”object
OpenAPI response for datalink list items.
Documents the optional metadata heritage array returned when
include_metadata=true.
object
Return serialized data object with request context.
Parameters
obj : DataLink The object containing the data that needs to be serialized.
Returns
DatalinkDataSerializer A DatalinkDataSerializer object is being returned, with the data attribute of the input obj and the context set to include the request from the current context.
object
Return the interactor information of the object’s creator.
Parameters
obj : DataLink The object containing the creator information.
Returns
dict The interactor information of the creator.
object
Present only when include_metadata=true. Same item shape as GET /api/data/{id}/metadata?datalink={datalink_id}&include_inherited=true (full unpaginated field list per datalink).
Shape for one metadata field + its values.
object
Metadata field description.
object
Values / selected values for the field.
object
Example
{ "count": 123, "next": "http://api.example.org/accounts/?p=4", "previous": "http://api.example.org/accounts/?p=2"}object
object
Example
{ "code": "query_validation_error", "message": "Invalid query parameters. Check the `details` property for more details.", "details": [ { "parameter": "status", "message": "\"<status>\" is not a valid choice.", "code": "invalid_choice" } ]}object
object
Example
{ "code": "forbidden", "message": "You do not have permission to perform this operation. Check the `details` property for more details.", "details": [ { "parameter": "node", "message": "Not a member of the node.", "code": "unauthorized" } ]}object
object
Example
{ "code": "object_not_found", "message": "Object not found. Check the `details` property for more details.", "details": [ { "parameter": "<id>", "code": "does_not_exist", "message": "\"<id>\" does not exist." } ]}
